Subject: Re: bug#48664: 28.0.50; gnus stuck with error: (wrong-type-argument number-or-marker-p nil)

From: Pankaj Jangid <[email-masked]>
Date: Fri, 28 May 2021 16:23:21 +0530

Lars Ingebrigtsen <[email-masked]> writes:

>> Debugger entered--Lisp error: (wrong-type-argument number-or-marker-p nil)
>>   <=(nil 2)
>>   gnus-get-unread-articles(2 t)
>
> Try loading the uncompiled version of gnus-start.el -- that'll give a
> more detailed backtrace.

It is a bit inconsistent. Now it is working with the latest commits. And
I am not sure, as of now, which commits have caused it. Tried a few. I
will try the above suggestion if I observe it again.

By any chance could this be related to modus-theme changes. It is
recently upgraded. And the fonts are looking really weird when I load it
from init file. I’ll file a separate bug for this. But why I am saying
this is because I have disabled modus-theme and after that I have not
faced this issue.